Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp.transport
Class ErrorTCPMsg

`java.lang.Object
oracle.security.crypto.cmp.transport.TCPMessage
oracle.security.crypto.cmp.transport.ErrorTCPMsg`

All Implemented Interfaces:
  oracle.security.crypto.util.Streamable

public class ErrorTCPMsg
extends TCPMessage

Nested Class Summary
`static class` | `ErrorTCPMsg.Code` Error types consisting of a major category code and a minor error type code.

Nested classes inherited from class oracle.security.crypto.cmp.transport.TCPMessage
`TCPMessage.Flag, TCPMessage.Type, TCPMessage.Version`

Constructor Summary
`ErrorTCPMsg(ErrorTCPMsg.Code errorType)` Create a new `ErrorTCPMsg` with the given error type and the default version CMP2000.
`ErrorTCPMsg(java.io.InputStream is)`
`ErrorTCPMsg(int pollRef)` Create a new `INVALID_POLL_ID` `ErrorTCPMsg` with the given polling reference number and the default version CMP2000.
`ErrorTCPMsg(TCPMessage.Type msgType)` Create a new `INVALID_MESSAGE_TYPE` `ErrorTCPMsg` with the given message type and the default version CMP2000.
`ErrorTCPMsg(TCPMessage.Version version, ErrorTCPMsg.Code errorType)` Create a new `ErrorTCPMsg` with the given version and error type.
`ErrorTCPMsg(TCPMessage.Version version, int pollRef)` Create a new `INVALID_POLL_ID` `ErrorTCPMsg` with the given version and polling reference number.
`ErrorTCPMsg(TCPMessage.Version version, TCPMessage.Type msgType)` Create a new `INVALID_MESSAGE_TYPE` `ErrorTCPMsg` with the given version and message type.

Method Summary
`ErrorTCPMsg.Code` | `getCode()` Returns the error code for this `ErrorTCPMsg`.
`byte[]` | `getData()` Returns the bytes of this `ErrorTCPMsg`'s data.
`java.lang.String` | `getText()` Returns a user-readable error message.
`TCPMessage.Type` | `getType()` Get the TCP-based message type.
`void` | `setText(java.lang.String text)` Sets a user-readable error message.
`java.lang.String` | `toString()`

Methods inherited from class oracle.security.crypto.cmp.transport.TCPMessage
`getVersion, hasFlag, input, inputInstance, length, output, setFlag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ErrorTCPMsg

    public ErrorTCPMsg(TCPMessage.Version version,
                       ErrorTCPMsg.Code errorType)

  Create a new `ErrorTCPMsg` with the given version and error type. Use this constructor only for `VERSION_NOT_SUPPORTED`, `GENERAL_CLIENT_ERROR` or `GENERAL_SERVER_ERROR`.
Parameters:
  `version` - the PKI TCP transport protocol version.
  `errorType` - the error type.

### ErrorTCPMsg

    public ErrorTCPMsg(ErrorTCPMsg.Code errorType)

  Create a new `ErrorTCPMsg` with the given error type and the default version CMP2000. Use this constructor only for `VERSION_NOT_SUPPORTED`, `GENERAL_CLIENT_ERROR` or `GENERAL_SERVER_ERROR`.
Parameters:
  `errorType` - the error type.

### ErrorTCPMsg

    public ErrorTCPMsg(TCPMessage.Version version,
                       TCPMessage.Type msgType)

  Create a new `INVALID_MESSAGE_TYPE` `ErrorTCPMsg` with the given version and message type.
Parameters:
  `version` - the PKI TCP transport protocol version.
  `msgType` - for an `INVALID_MESSAGE_TYPE` error, the invalid message type in question.
See Also:
  `TCPMessage.getType()`

### ErrorTCPMsg

    public ErrorTCPMsg(TCPMessage.Type msgType)

  Create a new `INVALID_MESSAGE_TYPE` `ErrorTCPMsg` with the given message type and the default version CMP2000.
Parameters:
  `msgType` - for an `INVALID_MESSAGE_TYPE` error, the invalid message type in question.
See Also:
  `TCPMessage.getType()`

### ErrorTCPMsg

    public ErrorTCPMsg(TCPMessage.Version version,
                       int pollRef)

  Create a new `INVALID_POLL_ID` `ErrorTCPMsg` with the given version and polling reference number.
Parameters:
  `version` - the PKI TCP transport protocol version.
  `pollRef` - for an `INVALID_POLL_ID` error, the polling reference in question.
See Also:
  `PollRequestTCPMsg.getPollRef()`

### ErrorTCPMsg

    public ErrorTCPMsg(int pollRef)

  Create a new `INVALID_POLL_ID` `ErrorTCPMsg` with the given polling reference number and the default version CMP2000.
Parameters:
  `pollRef` - for an `INVALID_POLL_ID` error, the polling reference in question.
See Also:
  `PollRequestTCPMsg.getPollRef()`

### ErrorTCPMsg

    public ErrorTCPMsg(java.io.InputStream is)
                throws java.io.IOException

Method Detail

### getType

    public TCPMessage.Type getType()

  Description copied from class: `TCPMessage`
  Get the TCP-based message type.
  Specified by:
    `getType` in class `TCPMessage`

### getCode

    public ErrorTCPMsg.Code getCode()

  Returns the error code for this `ErrorTCPMsg`.

### getData

    public byte[] getData()

  Returns the bytes of this `ErrorTCPMsg`'s data. For example, in the case of a `VERSION_NOT_SUPPORTED` error, this would be the highest version number supported.

### setText

    public void setText(java.lang.String text)

  Sets a user-readable error message.

### getText

    public java.lang.String getText()

  Returns a user-readable error message.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.